> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/notas-pins/35.-mutacao-adicionar-comentario-a-nota-selecionada.md).

# 35. Mutação: Adicionar "Comentário" à "Nota" selecionada

Esta mutação permite que você adicione um Comentário à Nota selecionada.

* Um Comentário pode ser vinculado ao Campo através de seu identificador único `fieldUuid` e à Nota via `noteUuid`.
* O conteúdo do Comentário pode ser fornecido usando o `texto` atributo. Se o conteúdo precisar ser multilinha, o `texto` atributo deve conter uma string com caracteres de nova linha `\\n` para separar linhas. Por exemplo: `"Primeira linha. está aqui\\nSegunda linha está aqui.\\nTerceira linha está aqui."`.
* É possível definir uma data e hora associada ao comentário usando o `dataDeCriação` atributo no formato ISO8601.

As solicitações de exemplo podem ser encontradas abaixo:

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "O 1º comentário entre vários.",
    createdDate: "2020-08-25T06:06:06.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    dataDeCriação
    updatedDate
    texto
  }
}
```

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation AddNoteComment {
  addNoteComment(input:{
    noteUuid: "53547188-f37c-4d65-9733-f7de4be28e5b",
    fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
    text: "Primeira linha. está aqui\\nSegunda linha está aqui.\\nTerceira linha está aqui.",
    createdDate: "2020-08-25T07:07:07.000Z"
  } ) {
    uuid
    fieldUuid
    noteUuid
    dataDeCriação
    updatedDate
    texto
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/notas-pins/35.-mutacao-adicionar-comentario-a-nota-selecionada.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
